import javax.swing.*;

class ff extends f_x
{
public double func(double x)
{return x*x*x-2;}
}

public class fxtest
{
public static void main(String s[])
{ff f=new ff();
 f.setOrder(6);
 f.coef_out();
 double x=1.0;
 String s1="f(x)="+f.func(x)+"\n";
 s1+="df(x)/dx="+f.dfunc(x)+"\n";
 s1+="d2f(x)/dx2="+f.dfunc(x,2)+"\n";
 s1+="d3f(x)/dx3="+f.dfunc(x,3)+"\n";
  s1+="d4f(x)/dx4="+f.dfunc(x,4)+"\n";
 JOptionPane.showMessageDialog(null,s1);
}
}